> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cybedefend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a project



## OpenAPI

````yaml get /project/{projectId}
openapi: 3.0.0
info:
  title: Cybedefend API
  description: >-
    CybeDefend is an advanced API for application security analysis. Key
    features include OAuth 2.0 authentication, user/organization/project
    management, and REBAC-based permissions. It excels in static, dynamic, and
    IaC security analyses (SAST, DAST, IaC, etc.).
  version: '1.0'
  contact: {}
servers:
  - url: https://api-eu.cybedefend.com
    description: EU
  - url: https://api-us.cybedefend.com
    description: US
security: []
tags: []
paths:
  /project/{projectId}:
    get:
      tags:
        - Project
      summary: Get a project
      operationId: ProjectController_getProject
      parameters:
        - name: projectId
          required: true
          in: path
          description: Project ID
          schema:
            format: uuid
            type: string
      responses:
        '200':
          description: Project found successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectInformationsResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                example:
                  message: Unauthorized
                  statusCode: 401
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                example:
                  message: Forbidden
                  statusCode: 403
                  timestamp: '2025-02-18T12:31:18.491Z'
                  path: /example/path
components:
  schemas:
    ProjectInformationsResponseDto:
      type: object
      properties:
        projectId:
          type: string
          description: Project unique identifier
          format: uuid
        teamId:
          type: string
          description: Team unique identifier
          format: uuid
        teamName:
          type: string
          description: Team name
        name:
          type: string
          description: Project name
        createdAt:
          format: date-time
          type: string
          description: Project creation date
        updatedAt:
          format: date-time
          type: string
          description: Project last update date
        riskScore:
          type: number
          description: Risk score of the project (0-100)
        riskLevel:
          type: string
          description: Risk level of the project
        applicationType:
          type: string
          description: Application type
          enum:
            - web_application
            - software
            - mobile_application
            - iot
            - other
        analysisFrequency:
          type: string
          description: Analysis frequency
          enum:
            - weekly
            - daily
            - never
        emailAlertEnabled:
          type: boolean
          description: Enable email alert
        monthlyReportEnabled:
          type: boolean
          description: Enable monthly report
        weeklyReportEnabled:
          type: boolean
          description: Enable weekly report
        sastEnabled:
          type: boolean
          description: Enable SAST
        dastEnabled:
          type: boolean
          description: Enable DAST
        scaEnabled:
          type: boolean
          description: Enable SCA
        containerEnabled:
          type: boolean
          description: Enable Container scan
        apiEnabled:
          type: boolean
          description: Enable API scan
        iacEnabled:
          type: boolean
          description: Enable IaC scan
        sastFastScanEnabled:
          type: boolean
          description: Enable SAST fast scan
        sastSeverities:
          type: array
          description: Allowed SAST severities
          items:
            type: string
            enum:
              - critical
              - high
              - medium
              - low
        scaSeverities:
          type: array
          description: Allowed SCA severities
          items:
            type: string
            enum:
              - critical
              - high
              - medium
              - low
        iacSeverities:
          type: array
          description: Allowed IaC severities
          items:
            type: string
            enum:
              - critical
              - high
              - medium
              - low
        incidentCreationOption:
          type: string
          description: Incident creation option
        aiMergeRequestEnabled:
          type: boolean
          description: Enable AI merge request
        improvingResultsEnabled:
          type: boolean
          description: Enable improving results
        sortsVulnerabilitiesEnabled:
          type: boolean
          description: Enable sorting vulnerabilities
        scaTransitiveDependenciesEnabled:
          type: boolean
          description: Enable SCA transitive dependencies scan
        scaDevelopmentDependenciesEnabled:
          type: boolean
          description: Enable SCA development dependencies scan
        agentCategoriesSast:
          description: Active SAST agent vulnerability categories (internal names)
          type: array
          items:
            type: string
        agentCategoriesIac:
          description: Active IAC agent vulnerability categories (internal names)
          type: array
          items:
            type: string
        githubIssueEnabled:
          type: boolean
          description: Enable GitHub issue creation
        gitlabIssueEnabled:
          type: boolean
          description: Enable GitLab issue creation
        issueCreationMode:
          type: string
          description: Issue creation mode
          enum:
            - per_vulnerability
            - per_vulnerability_type
            - per_file
        issueCreationBranches:
          description: >-
            List of branches for which issues should be created. Empty means all
            branches.
          example:
            - main
            - develop
          type: array
          items:
            type: string
        referenceBranch:
          type: string
          description: >-
            Reference branch for vulnerability statistics. When set,
            vulnerability counts will be filtered to only include
            vulnerabilities from this branch.
          example: main
          nullable: true
      required:
        - projectId
        - teamId
        - teamName
        - name
        - createdAt
        - updatedAt
        - riskScore
        - riskLevel
    ErrorDto:
      type: object
      properties:
        timestamp:
          type: string
          example: '2025-02-18T12:31:18.491Z'
          description: Timestamp of the error
        service:
          type: string
          example: AiService
          description: Name of the service where the error occurred
        method:
          type: string
          example: startConversation
          description: Method name where the error occurred
        message:
          type: string
          example: Invalid parameters provided
          description: Error message
        code:
          type: number
          example: 400
          description: HTTP status code
          minimum: 100
          maximum: 599
      required:
        - timestamp
        - service
        - method
        - message
        - code

````